---
apiVersion: k8s.mariadb.com/v1alpha1
kind: Backup
metadata:
  name: s3backup
  namespace: "{{ k8s_mariadbop_namespace }}"
spec:
  serviceAccountName: "{{ k8s_mariadbop_service_account }}"
  mariaDbRef:
    name: mariadb
  schedule:
    cron: "{{ db_cron }}"
    suspend: false
  maxRetention: {{ db_retention }} # 30 days
  # ignoreGlobalPriv: true
  storage:
    s3:
      bucket: "backups-{{ k8s_mariadbop_namespace }}"
      endpoint: "{{ db_s3endpoint }}"
      region: "{{ db_s3region }}"
      accessKeyIdSecretKeyRef:
        name: dbpass
        key: accesskey
      secretAccessKeySecretKeyRef:
        name: dbpass
        key: secretid
